## org.eclipse.datatools.connectivity.ui.actions
Class AddProfileViewAction

    java.lang.Object
      Action
          org.eclipse.datatools.connectivity.ui.actions.AddProfileViewAction

Direct Known Subclasses:
  AddRepositoryViewAction

    public class AddProfileViewAction

extends Action

Ideally, this class should be split into two, one is for Action, the other is for View Action.

Author:
  shongxum, brianf

Constructor Summary
`AddProfileViewAction()` Constructor
`AddProfileViewAction(ICategory category)`
`AddProfileViewAction(java.lang.String categoryID)`

Method Summary
`void` `addHandlerListener(IHandlerListener listener)`
`void` `dispose()`
`java.lang.Object` `execute(ExecutionEvent event)`
`IConnectionProfile` `getAddedProfile()`
`boolean` `getIgnoreCategory()`
`IConnectionProfile` `getParentProfile()`
`boolean` `getUseSelection()`
`int` `getWizardReturnCode()`
`void` `init(IViewPart viewpart)`
`boolean` `isEnabled()`
`boolean` `isHandled()`
`void` `removeHandlerListener(IHandlerListener handlerListener)`
`void` `run()`
`void` `run(IAction action)`
`void` `selectionChanged(IAction action, ISelection selection)`
`void` `setCategory(ICategory category)`
`void` `setCategory(java.lang.String categoryID)`
`void` `setIgnoreCategory(boolean flag)`
`void` `setParentProfile(IConnectionProfile profile)`
`void` `setUseSelection(boolean flag)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddProfileViewAction

    public AddProfileViewAction()

  Constructor

### AddProfileViewAction

    public AddProfileViewAction(ICategory category)

Parameters:
  `category` -

### AddProfileViewAction

    public AddProfileViewAction(java.lang.String categoryID)

Parameters:
  `categoryID` -

Method Detail

### init

    public void init(IViewPart viewpart)

### addHandlerListener

    public final void addHandlerListener(IHandlerListener listener)

### dispose

    public final void dispose()

### execute

    public java.lang.Object execute(ExecutionEvent event)
                             throws ExecutionException

  Throws:
    `ExecutionException`

### removeHandlerListener

    public void removeHandlerListener(IHandlerListener handlerListener)

### run

    public void run()

### run

    public void run(IAction action)

### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection selection)

### setCategory

    public void setCategory(ICategory category)

  Parameters:
    `category` -

### setCategory

    public void setCategory(java.lang.String categoryID)

  Parameters:
    `categoryID` -

### setParentProfile

    public void setParentProfile(IConnectionProfile profile)

  Parameters:
    `profile` -

### getParentProfile

    public IConnectionProfile getParentProfile()

  Returns:

### getWizardReturnCode

    public int getWizardReturnCode()

  Returns:

### getAddedProfile

    public IConnectionProfile getAddedProfile()

  Returns:

### isEnabled

    public boolean isEnabled()

### isHandled

    public boolean isHandled()

### getIgnoreCategory

    public boolean getIgnoreCategory()

  Returns:

### setIgnoreCategory

    public void setIgnoreCategory(boolean flag)

  Parameters:
    `flag` -

### getUseSelection

    public boolean getUseSelection()

  Returns:

### setUseSelection

    public void setUseSelection(boolean flag)

  Parameters:
    `flag` -

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.